<?php
session_start();
require_once("config_variables.php");
$state = bin2hex(random_bytes(16)); // Generate a random state
$_SESSION['oauth2_state'] = $state;

$params = [
    'response_type' => 'code',
    'client_id' => CLIENT_ID,
    'redirect_uri' => REDIRECT_URI,
    'scope' => SCOPE,
    'state' => $state,
];

$authUrl = AUTH_URL . '?' . http_build_query($params);
header('Location: ' . $authUrl);
exit;
