<?php

function logoutUser($idToken, $postLogoutRedirectUri) {
    // Ory Logout URL
    $logoutEndpoint = "https://hungry-galileo-hzv2wz3koo.projects.oryapis.com/oauth2/sessions/logout";

    // Build the logout URL with the required parameters
    $logoutUrl = $logoutEndpoint . "?" . http_build_query([
        "id_token_hint" => $idToken,
        "post_logout_redirect_uri" => $postLogoutRedirectUri,
    ]);

    // Redirect to the logout URL
    header("Location: $logoutUrl");
    exit;
}
session_start();
// Example usage
$idToken = $_SESSION['id_token']; // Retrieve the ID token from session or database

session_destroy();
// Example Usage
$postLogoutRedirectUri = "https://bahawalpurtech.com/test/logout_success.php";
logoutUser($idToken,$postLogoutRedirectUri);
